---
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Values.outputConfigMapName }}
  labels:
    {{- include "os-image-server.labels" . | nindent 4 }}
data:
  values.yaml: |-
    os_images:
{{- range $imageName, $imageParams := tuple .Values.os_images .Values.os_image_selectors | include "select-os-images" | fromJson }}
      {{ $imageName }}: {{ $imageParams | toYaml | nindent 8 }}
{{ end -}}
